/* Core CSS required for Ionic components to work properly */
@import "@ionic/react/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "@ionic/react/css/normalize.css";
@import "@ionic/react/css/structure.css";
@import "@ionic/react/css/typography.css";

/* Optional CSS utils that can be commented out */
@import "@ionic/react/css/padding.css";
@import "@ionic/react/css/float-elements.css";
@import "@ionic/react/css/text-alignment.css";
@import "@ionic/react/css/text-transformation.css";
@import "@ionic/react/css/flex-utils.css";
@import "@ionic/react/css/display.css";

@import "./variables.css";


.main {
    background-color: var(--gainz-palette-primary);
}

.header {
    --ion-toolbar-background: var(--gainz-primary-700);
}

ion-content {
    --background: var(--gainz-palette-primary);
    padding: 0 1vh;
}

ion-tab-bar {
    --background: var(--gainz-primary-700);
}

ion-tab-button {
    --color-selected: #EEE;
    --color: rgba(255, 255, 255, 0.5)
}

.wod-content {
    background-position: center;
    background-size: cover;

    --background: none;
}

.fab-vertical-bottom {
    bottom: 20px;
}

.fab-horizontal-end {
    right: calc(20px + var(--ion-safe-area-right, 0px));
}

ion-item {
    --background: rgba(0, 0, 0, 0.2);
}
